
%define shortname graphlcd
%define name	%shortname-base
%define version	0.1.3
%define release	2

%define major	1
%define libname	%mklibname %shortname %major

Summary:	GraphLCD drivers and tools
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://graphlcd.berlios.de/
Source:		http://download.berlios.de/graphlcd/%name-%version.tar.bz2
Patch0:		graphlcd-base-0.1.3-64bit-fixes.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	freetype2-devel
BuildRequires:	zlib-devel

%description
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

%package -n %libname
Summary:	GraphLCD shared libraries
Group:		System/Libraries
Provides:	lib%shortname = %version-%release
# While the library doesn't use graphlcd-config directly, it is
# useless without the linked program using it.
Requires:	%shortname-common = %version

%description -n %libname
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the libraries needed to run programs
dynamically linked with GraphLCD.

%package -n %libname-devel
Summary:	Headers for Malaga GraphLCD
Group:		Development/C++
Requires:	%libname = %version
Provides:	lib%shortname-devel = %version-%release
Provides:	%shortname-devel = %version-%release

%description -n %libname-devel
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the headers and static library that
programmers will need to develop applications which will use
GraphLCD.

%package -n %shortname-common
Summary:	GraphLCD configuration file and documentation
Group:		System/Kernel and hardware

%description -n %shortname-common
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains the GraphLCD configuration file and GraphLCD
documentation.

%package -n %shortname-tools
Summary:	GraphLCD tools
Group:		System/Kernel and hardware

%description -n %shortname-tools
The GraphLCD base is a project to support graphical LC displays. It is
mainly used by the graphlcd plugin for the Video Disc Recorder to
display its information.

This package contains tools to use with GraphLCD.

%prep
%setup -q
%patch0 -p1
# don't strip nor chmod to root
perl -pi -e 's,-o root -g root -s,,' $(find -name Makefile)

%build
%make all CFLAGS="%optflags -fPIC" CXXFLAGS="%optflags -fPIC"

%install
rm -rf %{buildroot}

%makeinstall_std BINDIR=%{buildroot}%{_bindir} LIBDIR=%{buildroot}%{_libdir} \
	INCDIR=%{buildroot}%{_includedir}

install -d -m755 %{buildroot}%{_sysconfdir}
install -m644 graphlcd.conf %{buildroot}%{_sysconfdir}

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%doc README
%{_includedir}/glcdgraphics
%{_includedir}/glcddrivers
%{_libdir}/*.so

%files -n %shortname-common
%doc README HISTORY docs
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/graphlcd.conf

%files -n %shortname-tools
%defattr(-,root,root)
%doc README docs/README.*
%{_bindir}/*

%changelog
* Fri Sep 09 2006 Anssi Hannula <anssi@mandriva.org> 0.1.3-2mdv2007.0
- fix build

* Sun Aug 13 2006 Anssi Hannula <anssi@mandriva.org> 0.1.3-1mdv2007.0
- initial Mandriva release
